// $Id: explorer.tabs.js,v 1.3 2010/05/05 17:05:53 gnindl Exp $

/**
 * @file explorer.tabs.js
 * Create tabs which contains the displays of the referenced view.
 * The default display is hidden. When there's only one display to
 * be shown the tabs are hidden as well.
 */

/**
 * Tab related events, e. g. show/hide filter a form or
 * render the initial display
 * @param
 *   DOM context
 */
Drupal.behaviors.NodereferenceExplorerTabs = function(context) {
  //create tabs, TODO: set options from settings, e. g. { fx: { opacity: "toggle" }} );
  var tabs = $('div.nodereference-explorer-tabset ul.nodereference-explorer-tabs', context);
  $(tabs).tabs();
  
  //event when tab is switched
  $(tabs).bind('tabsselect', function(event, ui) {
	//FIX for browser hiding of multiple identical ids of filter forms
	$('.views-widget .form-item', context).show();
	
    //The selected node needs to be highlighted across the different displays.
	//On each tab switch the current selected value is retrieved and the radio 
	//button on the new display is selected manually
	$('.viewItemSelected').removeClass('viewItemSelected'); //remove all selections first
	var selected = $('#edit-selection').val(); //get current selection
	$('input:radio[value="'+selected+'"]', context).click(); //select items (if shown or not)	
    
	//hide all filters because all are shown by default
    $('.nodereference-explorer-views-filters', context).hide();
    //display exposed filters if they are in a separate block for selected tab
    var display = $(ui.panel).attr('id');
    $('#nodereference-explorer-filter-'+display, context).show();
    
    //TODO: synchronize filters to have the same nodes and selection shown
  });
  
  //disable and hide default display because it's causing inconvinient id problems with the underlying CCK form, 
  //i. e. exposed widget form fields disappear
  $(tabs).tabs('select', 1);
  $(tabs).tabs('disable', 0);
  $('li.nodereference-explorer-tab:first', tabs).hide();
  
  //show no tab if only one display (default is hidden, therefore <= 2)
  if ($(tabs).children().length <= 2)
    $('li.nodereference-explorer-tab', tabs).hide();
};